Note 3 endpoints

DELETE /notes/{id}
operationId: Note_deleteNoteById

Parameters

Name In Required Type Description
id path required string

ID of the note to delete

Responses

200

200

403

403

DELETE /notes/{id}
GET /notes/{id}
operationId: Note_getById

Parameters

Name In Required Type Description
id path required string

ID of the note to retrieve

Responses

200

200

400

400

GET /notes/{id}
PUT /notes/{id}
operationId: Note_updateNoteById

Parameters

Name In Required Type Description
id path required string

ID of the note to update

Request Body

application/json
schema NoteUpdateNoteByIdRequest

Responses

200

200

403

403

PUT /notes/{id}

Order 5 endpoints

GET /ecomOrderProducts/{id}
operationId: Order_getProductById

Parameters

Name In Required Type Description
id path required string

The ID of the product you’d like returned.

Responses

200

200

400

400

404

404

GET /ecomOrderProducts/{id}
POST /ecomOrders

Create a new e-commerce order resource.

operationId: Order_createNewOrder

Request Body

application/json
schema OrderCreateNewOrderRequest

Responses

201

201

POST /ecomOrders
DELETE /ecomOrders/{ecomOrderId}

Delete an existing e-commerce order resource.

operationId: Order_deleteOrder

Parameters

Name In Required Type Description
ecomOrderId path required integer

The id of the order to delete.

Responses

200

200

DELETE /ecomOrders/{ecomOrderId}
GET /ecomOrders/{ecomOrderId}

Retrieve an existing e-commerce order resource.

operationId: Order_getOrder

Parameters

Name In Required Type Description
ecomOrderId path required integer

The id of the order to retrieve.

Responses

200

200

GET /ecomOrders/{ecomOrderId}
PUT /ecomOrders/{id}

Update an existing ecommerce order/cart resource.

operationId: Order_updateOrderResource

Parameters

Name In Required Type Description
id path required string

The ID of the order to update

Request Body

application/json
schema OrderUpdateOrderResourceRequest

Responses

200

200

PUT /ecomOrders/{id}

Outcome 6 endpoints

DELETE /taskOutccomes/{id}

Delete an existing task outcome

operationId: Outcome_deleteTaskOutcome

Parameters

Name In Required Type Description
id path required string

Task outcome’s id

Responses

200

200

404

404

DELETE /taskOutccomes/{id}
PUT /taskOutccomes/{id}

Update an existing task outcome

operationId: Outcome_updateTaskOutcome

Parameters

Name In Required Type Description
id path required integer

Task outcome’s id

Request Body

application/json
schema OutcomeUpdateTaskOutcomeRequest

Responses

200

200

422

422

PUT /taskOutccomes/{id}
POST /taskOutcomes

Create a new task outcome

operationId: Outcome_createTaskOutcome

Request Body

application/json
schema OutcomeCreateTaskOutcomeRequest

Responses

200

200

422

422

POST /taskOutcomes
GET /taskOutcomes/{id}

Retrieve an existing task outcome

operationId: Outcome_getTaskOutcome

Parameters

Name In Required Type Description
id path required integer

Task outcome’s id

Responses

200

200

404

404

GET /taskOutcomes/{id}
DELETE /tasktypeOutcomeRels/{id}

Delete an existing task type - outcome relation

operationId: Outcome_deleteTaskTypeOutcomeRelation

Parameters

Name In Required Type Description
id path required integer

Task type - outcome relation’s id

Responses

200

200

404

404

DELETE /tasktypeOutcomeRels/{id}
GET /tasktypeOutcomeRels/{id}

Retrieve an existing task type - outcome relation

operationId: Outcome_getTaskTypeOutcome

Parameters

Name In Required Type Description
id path required integer

Task type - outcome relation’s id

Responses

200

200

404

404

GET /tasktypeOutcomeRels/{id}

Record 1 endpoints

GET /records/{schemdId}/external/{externalId}
operationId: Record_getByExternalId

Parameters

Name In Required Type Description
schemdId path required string

ID of schema

externalId path required string

External ID for record

Responses

200

200

400

400

GET /records/{schemdId}/external/{externalId}

Reminder 1 endpoints

POST /taskNotifications

Create a new task outcome

operationId: Reminder_createTaskOutcome

Request Body

application/json
schema ReminderCreateTaskOutcomeRequest

Responses

200

200

422

422

POST /taskNotifications

Response 4 endpoints

POST /savedResponses
operationId: Response_createSavedResponse

Request Body

application/json
schema ResponseCreateSavedResponseRequest

Responses

201

201

422

422

POST /savedResponses
DELETE /savedResponses/{id}
operationId: Response_removeById

Parameters

Name In Required Type Description
id path required integer

ID of the saved response to remove

Responses

200

200

404

404

DELETE /savedResponses/{id}
GET /savedResponses/{id}
operationId: Response_getById

Parameters

Name In Required Type Description
id path required integer

ID of the saved Response to recieve

Responses

200

200

400

400

GET /savedResponses/{id}
PUT /savedResponses/{id}
operationId: Response_updateSavedResponse

Parameters

Name In Required Type Description
id path required integer

ID of the saved response to update

Request Body

application/json
schema ResponseUpdateSavedResponseRequest

Responses

200

200

422

422

PUT /savedResponses/{id}

Schema 10 endpoints

POST /customObjects/records/{schemaId}
operationId: Schema_createOrUpdateRecord

Parameters

Name In Required Type Description
schemaId path required string

ID of schema

Request Body

application/json
schema SchemaCreateOrUpdateRecordRequest

Responses

201

201

400

400

422

422

POST /customObjects/records/{schemaId}
DELETE /customObjects/records/{schemaId}/external/{externalId}
operationId: Schema_deleteRecordByExternalId

Parameters

Name In Required Type Description
schemaId path required string

ID of schema

externalId path required string

External ID of record

Responses

202

202

400

400

DELETE /customObjects/records/{schemaId}/external/{externalId}
DELETE /customObjects/records/{schemaId}/{recordId}
operationId: Schema_deleteRecordById

Parameters

Name In Required Type Description
schemaId path required string

ID of schema

recordId path required string

ID of record

Responses

202

202

400

400

DELETE /customObjects/records/{schemaId}/{recordId}
GET /customObjects/records/{schemaId}/{recordId}
operationId: Schema_getById

Parameters

Name In Required Type Description
schemaId path required string

ID of schema

recordId path required string

ID of record

Responses

200

200

400

400

GET /customObjects/records/{schemaId}/{recordId}
POST /customObjects/schemas
operationId: Schema_createNew

Request Body

application/json
schema SchemaCreateNewRequest

Responses

201

201

422

422

POST /customObjects/schemas
POST /customObjects/schemas/public
operationId: Schema_createPublicSchema

Request Body

application/json
schema SchemaCreatePublicSchemaRequest

Responses

200

200

400

400

POST /customObjects/schemas/public
DELETE /customObjects/schemas/{id}
operationId: Schema_deleteSchemaById

Parameters

Name In Required Type Description
id path required string

Id of schema to delete

Responses

200

200

404

404

DELETE /customObjects/schemas/{id}
GET /customObjects/schemas/{id}

Retrieve a specific schema by id.

Users are encouraged to leverage the ?showFields=all query parameter when programmatically creating new schema fields, to ensure field id uniqueness. Fields that have been deleted will contain a status: marked_for_deletion attribute.

operationId: Schema_getById

Parameters

Name In Required Type Description
id path required string

Id of the Schema

showFields query optional string

Toggle which fields are shown in the response body of a schema (if there hidden due to e.g. recently being deleted). Omit this parameter entirely to hide fields by default.

Responses

200

200

404

404

GET /customObjects/schemas/{id}
POST /customObjects/schemas/{id}/child
operationId: Schema_createChildSchema

Parameters

Name In Required Type Description
id path required string

Id of the parent schema the new child schema will extend

Responses

200

200

400

400

POST /customObjects/schemas/{id}/child
PUT /customObjects/schemas/{schemaId}

Make an update to a given schema.

To delete a schema field, reference the field delete endpoint: https://developers.activecampaign.com/reference/delete-a-field-1

Users are encouraged to leverage the ?showFields=all query parameter when programmatically creating new schema fields, to ensure field id uniqueness. Fields that have been deleted will contain a status: marked_for_deletion attribute.

operationId: Schema_updateSchema

Parameters

Name In Required Type Description
schemaId path required string

Id of Schema being updated

validateOnly header optional boolean

When set to true the API will validate the schema update without saving changes

showFields query optional string

Toggle which fields are shown in the response body of a schema (if there hidden due to e.g. recently being deleted). Omit this parameter entirely to hide fields by default.

Request Body

application/json
schema SchemaUpdateSchemaRequest

Responses

200

200

404

404

422

422

PUT /customObjects/schemas/{schemaId}

Score 1 endpoints

GET /scores/{id}
operationId: Score_getScoreById

Parameters

Name In Required Type Description
id path required integer

ID of the score to retrieve

Responses

200

200

404

404

GET /scores/{id}

Segment 1 endpoints

GET /segments/{id}
operationId: Segment_getById

Parameters

Name In Required Type Description
id path required integer

ID of the segment to be retrieved

Responses

200

200

GET /segments/{id}

Status 1 endpoints

GET /siteTracking

Get site tracking status (enabled or disabled)

operationId: Status_getSiteTrackingStatus

Responses

200

200

400

400

GET /siteTracking

Tag 7 endpoints

POST /contactTags

Create a contact tag object

operationId: Tag_addContactTag

Request Body

application/json
schema TagAddContactTagRequest

Responses

201

201

404

404

422

422

POST /contactTags
DELETE /contactTags/{id}

Delete a contact tag object

operationId: Tag_removeTagFromContact

Parameters

Name In Required Type Description
id path required integer

The contactTag id

Responses

200

200

404

404

DELETE /contactTags/{id}
GET /tags
operationId: Tag_listAllTags

Parameters

Name In Required Type Description
search query optional string

Filter by name of tag(s); “contains” operator is assumed.

filters[search][<operator>] query optional string

Filters tags by tag name according to the operator specified. Operators currently supported: eq, neq, lt, lte, gt, gte, contains, starts_with

orders[search] query optional string

Orders filtered results by weight, ascending order, or descending order. If weight is used, exact matches are returned first, followed by matches starting with what was filtered by, followed by the rest of the results.

Responses

200

200

400

400

GET /tags
POST /tags
operationId: Tag_createTag

Request Body

application/json
schema TagCreateTagRequest

Responses

201

201

POST /tags
DELETE /tags/{id}
operationId: Tag_removeTag

Parameters

Name In Required Type Description
id path required integer

ID of the tag to remove

Responses

200

200

404

404

DELETE /tags/{id}
GET /tags/{id}
operationId: Tag_getTag

Parameters

Name In Required Type Description
id path required integer

ID of the tag to retrieve

Responses

200

200

404

404

GET /tags/{id}
PUT /tags/{id}
operationId: Tag_updateTag

Parameters

Name In Required Type Description
id path required integer

ID of the tag to update

Request Body

application/json
schema TagUpdateTagRequest

Responses

200

200

PUT /tags/{id}

Template 2 endpoints

GET /template/share

Create a shareable link to a campaign template

operationId: Template_createShareableLink

Parameters

Name In Required Type Description
api_key query optional string

ActiveCampaign Account API Key

id query optional integer

The id of the campaign template to be shared

Responses

200

200

GET /template/share
GET /templates/{id}
operationId: Template_getById

Parameters

Name In Required Type Description
id path required integer

ID of the template to retrieve

Responses

200

200

404

404

GET /templates/{id}

Tracking 2 endpoints

PUT /siteTracking

Enable or disable site tracking

operationId: Tracking_enableDisableSite

Request Body

application/json
schema TrackingEnableDisableSiteRequest

Responses

200

200

400

400

PUT /siteTracking
GET /siteTracking/code

Get site tracking code

operationId: Tracking_getSiteCode

Responses

200

200

400

400

GET /siteTracking/code

User 6 endpoints

DELETE /addressGroups/{id}
operationId: User_deleteAddressGroup

Parameters

Name In Required Type Description
id path required integer

ID of the AddressGroup to delete

Responses

200

200

404

404

DELETE /addressGroups/{id}
GET /users

List all existing users

operationId: User_listAllUsers

Responses

200

200

400

400

GET /users
POST /users

Create a new user

operationId: User_createNewUser

Request Body

application/json
schema UserCreateNewUserRequest

Responses

201

201

400

400

POST /users
GET /users/email/{email}

Retrieve an existing user by looking up their email address

operationId: User_getByEmail

Parameters

Name In Required Type Description
email path required string

Email address of the user you want to view

Responses

200

200

400

400

GET /users/email/{email}
GET /users/me

Retrieve the logged-in user

operationId: User_getLoggedInUser

Responses

200

200

400

400

GET /users/me
GET /users/username/{username}

Retrieve an existing user by looking up their username

operationId: User_getByUsername

Parameters

Name In Required Type Description
username path required string

Username of the user you want to view

Responses

200

200

400

400

GET /users/username/{username}
Load more endpoints